> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondo.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Prices for All Supported Assets

> This endpoint retrieves the latest prices for all supported assets. Note that the `primaryMarket` represents the on-chain token while the `underlyingMarket`
represents the off-chain collateralized stock. Assets can be sorted by price in either ascending or descending order.

Prices are intended for display only. For real-time trading prices, use the [Soft Attestation Quote](https://docs.ondo.finance/api-reference/attestations/request-a-soft-attestation-quote) API. We do not recommend using the price feeds as an oracle for these assets. An official oracle is in development and will be documented when available. For questions, contact [support@ondo.finance](mailto:support@ondo.finance).

For caching details on this endpoint, please see: [Endpoint Caching](https://docs.ondo.finance/api-reference/endpoint-caching).




## OpenAPI

````yaml /gm-be-api-spec.json get /v1/assets/all/prices/latest
openapi: 3.0.4
info:
  title: GM Backend API
  description: An API spec for the Ondo GM Backend API.
  version: 1.0.0
servers:
  - url: https://api.gm.ondo.finance
    description: GM Backend API
security: []
tags:
  - name: Attestations
    description: Get Mint and Redeem Attestations
  - name: Assets
    description: Get Asset Price Information
  - name: Tickers
    description: Get Ticker Information
  - name: Chains
    description: Get On Chain Data
  - name: Limits
    description: Get Trading Limits
  - name: Status
    description: Get Market and Trading Statuses
paths:
  /v1/assets/all/prices/latest:
    get:
      tags:
        - Assets
      summary: Get Current Prices for All Supported Assets
      description: >
        This endpoint retrieves the latest prices for all supported assets. Note
        that the `primaryMarket` represents the on-chain token while the
        `underlyingMarket`

        represents the off-chain collateralized stock. Assets can be sorted by
        price in either ascending or descending order.


        Prices are intended for display only. For real-time trading prices, use
        the [Soft Attestation
        Quote](https://docs.ondo.finance/api-reference/attestations/request-a-soft-attestation-quote)
        API. We do not recommend using the price feeds as an oracle for these
        assets. An official oracle is in development and will be documented when
        available. For questions, contact
        [support@ondo.finance](mailto:support@ondo.finance).


        For caching details on this endpoint, please see: [Endpoint
        Caching](https://docs.ondo.finance/api-reference/endpoint-caching).
      operationId: getAllPrices
      parameters:
        - name: sort
          in: query
          description: The sort direction for prices.
          required: false
          schema:
            type: string
            enum:
              - desc
              - asc
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetPrice'
              example:
                - primaryMarket:
                    symbol: TSLAon
                    price: '48.516937826065743784'
                  underlyingMarket:
                    ticker: TSLA
                    price: '338.88'
                  timestamp: 1755888858907
                - primaryMarket:
                    symbol: AAPLon
                    price: '171.383708297189751178'
                  underlyingMarket:
                    ticker: AAPL
                    price: '228.330909'
                  timestamp: 1755888858893
                - ...
        '400':
          description: >-
            One of the request parameters is invalid. Please see the returned
            message and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    code: INVALID_SYMBOL
                    message: >-
                      invalid symbol; must be at least 3 characters long and end
                      with 'on'
                    documentation: https://docs.ondo.finance/api-reference/error-codes
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: missing API key
                    code: MISSING_API_KEY
        '500':
          description: >-
            An internal server error occurred. Please see the returned message
            and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      An internal server error occurred. Please see the returned
                      message and documentation for details.
                    code: INTERNAL_ERROR
      security:
        - apiKey: []
components:
  schemas:
    AssetPrice:
      type: object
      properties:
        primaryMarket:
          type: object
          properties:
            symbol:
              type: string
              description: The GM symbol of the asset.
              example: AAPLon
            price:
              type: string
              description: >-
                The token price, represented as a string-encoded decimal with up
                to 18 digits after the decimal point.
              example: '12.345'
        underlyingMarket:
          type: object
          properties:
            ticker:
              type: string
              description: The stock ticker associated with the asset.
              example: AAPL
            price:
              type: string
              description: >-
                The stock price, represented as a string-encoded decimal with up
                to 18 digits after the decimal point.
              example: '12.345'
        timestamp:
          type: number
          description: >-
            The Unix timestamp in milliseconds, representing the time of the
            price data retrieval.
          example: 1746655938
      required:
        - primaryMarket
        - underlyingMarket
        - timestamp
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        documentation:
          type: string
          description: A URL to the relevant documentation for this error.
        code:
          type: string
          description: >-
            A reason code identifying the specific type of error. See the Error
            Codes reference for a full list of possible values.
      required:
        - code
        - message
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````